import { BulkIdsDto } from "../dtos/asset-ids.response.dto";
import { AuthDto } from "../dtos/auth.dto";
import { TrashResponseDto } from "../dtos/trash.dto";
import { TrashService } from "../services/trash.service";
export declare class TrashController {
    private service;
    constructor(service: TrashService);
    emptyTrash(auth: AuthDto): Promise<TrashResponseDto>;
    restoreTrash(auth: AuthDto): Promise<TrashResponseDto>;
    restoreAssets(auth: AuthDto, dto: BulkIdsDto): Promise<TrashResponseDto>;
}
